Package org.apache.storm.windowing

# Enum Class EvictionPolicy.Action

java.lang.Object
java.lang.Enum<EvictionPolicy.Action>
org.apache.storm.windowing.EvictionPolicy.Action

All Implemented Interfaces:
  `Serializable`, `Comparable<EvictionPolicy.Action>`, `Constable`

Enclosing interface:
  EvictionPolicy<T,S>

public static enum EvictionPolicy.Action extends Enum<EvictionPolicy.Action>
The action to be taken when `EvictionPolicy.evict(Event)` is invoked.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EXPIRE`
  expire the event and remove it from the queue.
  `KEEP`
  don't include in the current window but keep the event in the queue for evaluating as a part of future windows.
  `PROCESS`
  process the event in the current window of events.
  `STOP`
  stop processing the queue, there cannot be anymore events satisfying the eviction policy.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static EvictionPolicy.Action`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static EvictionPolicy.Action[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EXPIRE

    public static final EvictionPolicy.Action EXPIRE
    expire the event and remove it from the queue.

  - ### PROCESS

    public static final EvictionPolicy.Action PROCESS
    process the event in the current window of events.

  - ### KEEP

    public static final EvictionPolicy.Action KEEP
    don't include in the current window but keep the event in the queue for evaluating as a part of future windows.

  - ### STOP

    public static final EvictionPolicy.Action STOP
    stop processing the queue, there cannot be anymore events satisfying the eviction policy.

- ## Method Details

  - ### values

    public static EvictionPolicy.Action[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static EvictionPolicy.Action valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null